Loading...
Searching...
No Matches
openshot::AudioDeviceManagerSingleton Class Reference

Singleton wrapper for AudioDeviceManager (to prevent multiple instances). More...

`#include <Qt/AudioPlaybackThread.h>`

## Public Member Functions

void | CloseAudioDevice ()
| Close audio device.

## Static Public Member Functions

static AudioDeviceManagerSingleton * | Instance ()
| Override with default sample rate & channels (44100, 2) and no preferred audio device.
static AudioDeviceManagerSingleton * | Instance (int rate, int channels)

## Public Attributes

juce::AudioDeviceManager | audioDeviceManager
| Public device manager property.
AudioDeviceInfo | currentAudioDevice
| Current open audio device (or last attempted device - if none were successful)
double | defaultSampleRate
| Default sample rate (as detected)
std::string | initialise_error
| Error found during JUCE initialise method.

## Detailed Description

Singleton wrapper for AudioDeviceManager (to prevent multiple instances).

Definition at line 42 of file AudioPlaybackThread.h.

## Member Function Documentation

## CloseAudioDevice()

void openshot::AudioDeviceManagerSingleton::CloseAudioDevice | ( |  | ) |

Close audio device.

Definition at line 168 of file AudioPlaybackThread.cpp.

Referenced by openshot::QtPlayer::CloseAudioDevice().

## Instance() [1/2]

AudioDeviceManagerSingleton * openshot::AudioDeviceManagerSingleton::Instance | ( |  | ) |

static

Override with default sample rate & channels (44100, 2) and no preferred audio device.

Definition at line 37 of file AudioPlaybackThread.cpp.

Referenced by openshot::QtPlayer::CloseAudioDevice(), and Instance().

## Instance() [2/2]

AudioDeviceManagerSingleton * openshot::AudioDeviceManagerSingleton::Instance | ( | int | rate,
|  | int | channels
| ) |  |

static

Override with custom sample rate & channels and no preferred audio device sample rate and channels are only set on 1st call (when singleton is created)

Definition at line 43 of file AudioPlaybackThread.cpp.

## Member Data Documentation

## audioDeviceManager

juce::AudioDeviceManager openshot::AudioDeviceManagerSingleton::audioDeviceManager

Public device manager property.

Definition at line 68 of file AudioPlaybackThread.h.

Referenced by CloseAudioDevice(), and Instance().

## currentAudioDevice

AudioDeviceInfo openshot::AudioDeviceManagerSingleton::currentAudioDevice

Current open audio device (or last attempted device - if none were successful)

Definition at line 58 of file AudioPlaybackThread.h.

Referenced by Instance().

## defaultSampleRate

double openshot::AudioDeviceManagerSingleton::defaultSampleRate

Default sample rate (as detected)

Definition at line 55 of file AudioPlaybackThread.h.

Referenced by Instance().

## initialise_error

std::string openshot::AudioDeviceManagerSingleton::initialise_error

Error found during JUCE initialise method.

Definition at line 52 of file AudioPlaybackThread.h.

Referenced by Instance().

The documentation for this class was generated from the following files:

- Qt/AudioPlaybackThread.h
- Qt/AudioPlaybackThread.cpp